HPLIP version 1.6.7 - What are the supported HP Printers

Asked by John Joaquin on 2018-09-26

Hi there,

In a very advance and fast moving world of IT, unfortunately on the new org I joined there is this one very critical Oracle Ent Linux 5.9 that still exist which I thought was already extinct during the age of the dinosaurs =)

So my case now is there is a separate team managing the application and OS of that server and been planning to migrate the Oracle solutions hosted in that server to OEL 7.x which I believe has been going on in planning stage for almost a year now. But for now we have to support it as is, so the Oracle app running in that server is linked to several printers which are scattered on multiple site where it still running the HPLIP driver version 1.6.7-6.el5_6.1. Now new models of printers had started to come in and we had luck of making few HP and Xerox models work but majority of newer models of course caused some issues. Since this server is a physical box and no bare metal backup is available and on identical box is in place to test with so I do not want to mess around with it due to the criticality of the machine so I am hesitant in updating the HPLIP drivers as it may fix one and destroy the others. So as we wait to get the box migrated to a newer one I just wanted to check from any one in this forum that can refer me to a document on the support HP printers by our current HPLIP version 1.6.7-6.el5_6.1.

Appreciate any help you folks can provide.

Thanks in advance.

Jj

Question information

Language:
English Edit question
Status:
Answered
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2018-09-26
Last reply:
2018-09-26
srinivas (srinivas5) said : #1

Hi,
Please check the below link for the supported printers in each releases.
https://developers.hp.com/hp-linux-imaging-and-printing/release_notes

Look for the 1.6.7 release section to get the list of supported printers in this release and the defect fixed. This is very old release and we have large number of new products been supported in the latest releases. Current latest release version is 3.18.9
You can download the latest release version in the link - https://developers.hp.com/hp-linux-imaging-and-printing/gethplip

Thanks,
Srinivas Teja

Can you help with this problem?

Provide an answer of your own, or ask John Joaquin for more information if necessary.

To post a message you must log in.